List payment transactions in a payout
curl --request GET \
--url https://api.halth.com/v1/businesses/{businessId}/payouts/{payoutId}/transactionsimport requests
url = "https://api.halth.com/v1/businesses/{businessId}/payouts/{payoutId}/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.halth.com/v1/businesses/{businessId}/payouts/{payoutId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"source": "<string>",
"amount": 123,
"adjustmentTransactions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"source": "<string>",
"amount": 123
}
],
"platformFeeAmount": 123,
"paymentId": "<string>",
"payment": {
"id": "<string>",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"paymentMethodId": "<string>",
"clientSecret": "<string>"
},
"claimId": "<string>",
"claim": {
"id": "<string>",
"referenceNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isRebateEstimate": true,
"totalChargeAmount": 123,
"totalRebateAmount": 123,
"totalGapAmount": 123,
"providerNumber": "<string>",
"items": [
{
"id": "<string>",
"chargeAmount": 123,
"itemCode": "<string>",
"serviceDate": "2023-11-07T05:31:56Z",
"patientReferenceNumber": "<string>",
"rebateAmount": 123,
"serviceReference": "<string>",
"itemDescription": "<string>",
"itemName": "<string>",
"response": {
"statusCode": "<string>",
"responseCode": "<string>"
}
}
],
"device": {
"terminalId": "<string>"
},
"serviceType": {
"code": "<string>",
"name": "<string>"
},
"healthFund": {
"name": "<string>",
"capabilities": {}
},
"rules": {
"reversal": {
"enabled": true
}
},
"cancelledAt": "2023-11-07T05:31:56Z",
"voidedAt": "2023-11-07T05:31:56Z",
"response": {
"statusCode": "<string>",
"responseCode": "<string>",
"freeText": "<string>"
},
"payment": {
"paymentAmount": 123,
"bankAccountNumberLast4": "<string>",
"bankAccountBsb": "<string>",
"paymentDate": "2023-11-07T05:31:56Z",
"paymentReference": "<string>"
},
"provider": {
"providerNumber": "<string>",
"name": "<string>",
"categoryCode": "<string>"
}
},
"medicareClaimId": "<string>",
"medicareClaim": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"type": {},
"totalChargeAmount": 123,
"totalRebateAmount": 123,
"totalGapAmount": 123,
"itemsCount": 123,
"mcolTransactionId": "<string>",
"items": [
{
"id": "<string>",
"itemCode": "<string>",
"chargeAmount": 123,
"rebateAmount": 123,
"gapAmount": 123,
"mcolAssessmentCode": "<string>",
"mcolErrorCode": "<string>",
"mcolErrorMessage": "<string>",
"patientCount": 123,
"quantity": 123
}
],
"paymentStatus": {},
"rules": {
"reversal": {
"enabled": true
}
},
"reference": "<string>",
"patientMedicareCardId": "<string>",
"patientMedicareCard": {
"id": "<string>",
"memberNumberLast4": "<string>",
"referenceNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fingerprint": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"verified": true,
"secondInitial": "<string>",
"sex": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z"
},
"claimantMedicareCardId": "<string>",
"claimantMedicareCard": {
"id": "<string>",
"memberNumberLast4": "<string>",
"referenceNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fingerprint": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"verified": true,
"secondInitial": "<string>",
"sex": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z"
},
"mcolClaimId": "<string>",
"mcolErrorCode": "<string>",
"mcolErrorMessage": "<string>",
"transactionId": "<string>"
},
"paymentLinks": [
{
"url": "https://app.halth.com/pay/1234567890",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
],
"events": [
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdByMember": {
"id": "<string>",
"emailVerified": true,
"mobileNumberVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"settings": {
"showPlanHelp": true
},
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"mobileNumber": "<string>",
"dateOfBirth": "<string>",
"roles": [
"<string>"
],
"profileImageUrl": "<string>",
"activity": [
{
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2023-11-07T05:31:56Z",
"applicationVersion": "<string>",
"platform": "<string>",
"userAgent": "<string>"
}
]
}
}
]
}
],
"page": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}Payout
List payment transactions in a payout
Get a paged list of the payment transactions that make up a payout
GET
/
v1
/
businesses
/
{businessId}
/
payouts
/
{payoutId}
/
transactions
List payment transactions in a payout
Query Parameters
Page number
Required range:
1 <= x <= 9007199254740991Example:
1
Number of items per page
Required range:
1 <= x <= 200Example:
10
⌘I
